package com.zm.order.tool.server.enums;

/**
 * @Description 删除枚举
 * @Author: ph
 * @Date: 2019/11/15 14:39
 */
public enum DeleteTypeEnum {
    /**
     * 默认
     */
    ACTIVE(0, "未删除"),
    USER_DELETED(1, "用户端删除"),
    SELLER_DELETED(2, "商家端删除"),
    SYSTEM_DELETED(-2, "系统删除"),
    ALL_DELETED(-1, "全部删除");

    private final Integer value;

    private final String desc;

    DeleteTypeEnum(final Integer value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
